Subject: bug#62592: Not creating new Tabs with small window

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Apr 2023 21:02:10 +0300

> Cc: [email-masked]
> From: Juri Linkov <[email-masked]>
> Date: Sun, 02 Apr 2023 20:49:09 +0300
> 
> >> 1. ~ $ emacs -Q
> >> 2. Menu -> Options -> Show/Hide -> Tab Bar (gives Tab*scratch*)
> >> 3. resize the Emacs window to a small one, but large enough to show some Tab labels
> >> 3. 1x click on rightmost * in the Tab Bar to create a new Tab
> >>
> >> The bug: No new Tab will be created and the minibuf and*Messages*  show:
> >>
> >>    split-window: Window #<window 3 on*Messages*> too small for splitting
> >
> > Thanks for the bug report.  It is related to bug#62427 where
> > we need to find a way to create a new window without using
> > delete-windows and split-window.
> 
> Oh, I noticed the same problem in window-state-put too :-(
> Restoring window states fails with the same error in narrow windows.
> However, here is a fix.  Eli, is it ok to fix this in emacs-29?

Yes, although I cannot say I'm fond of such kludges.

(I thought Benson Chu was working on a better fix for these problems?)